## qdialgps 0.0.1.1

=== debian/changelog ===
qdialgps (0.0.1.1) unstable; urgency=low

  * Initial release; without qmake; remaking because it worked yesterday and doesn't work today

 -- Unknown <unknown@mail.org>  Mon, 16 Aug 2010 15:33:24 +0930
