=== debian/control ===
Source: qdialgps
Section: user/other
Priority: optional
Maintainer: Unknown <unknown@mail.org>
Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev
Standards-Version: 3.7.2

Package: qdialgps
Architecture: any
Depends: libqt4-core (>= 4.5.2), libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-gui (>= 4.5.2), libstdc++6 (>= 4.2.1), libqtm-location
Description: A simple Qt widget.
 .
 Further Information: qdialgps.garage.maemo.org
XSBC-Bugtracker: mailto:unknown@mail.org
XB-Maemo-Display-Name: qdialgps
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAA7DAAAOwwHHb6hkAAAA
 sklEQVRoge3UQQ6AIAwFUe5/aXTjxkCg/RUqGZOuNDKPEEqtpWjTfsr96j29L5WRo1uhllExrng1
 eoz5BBCz4/OQUMCacA8iZbwFkTZ+FpE6fgYRHj96ohEhANtd7se0/i/Fe+5t5WoOBWjh6qZ1ATvi
 tbUTAXzrJ4o/AjDX4QZ8H2/fyGS7fwTAdhqSHR8A/wE8TQB2HyOTFsAuwPp4AAAAAAAAAAAAAAAA
 AAAAAMDxgAtvIh3EMFvUXAAAAABJRU5ErkJggg==
 2FwE8TQB2HyOTFsAuwPp4AAAAAAAAAAAAAAAAAAAAAMDxgAtvIh3EMFvUXAAAAABJRU5ErkJggg%3D%3D
