=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: user/other
 Priority: optional
 Maintainer: Unknown <unknown@mail.org>
-Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev
+Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev, liblocation-dev
 Standards-Version: 3.7.2
 
 Package: qdialgps
 Architecture: any
-Depends: libqt4-core (>= 4.5.2), libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-gui (>= 4.5.2), libstdc++6 (>= 4.2.1), libqtm-location
+Depends: libqt4-core (>= 4.5.2), libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-gui (>= 4.5.2), libstdc++6 (>= 4.2.1), libqtm-location, liblocation0
 Description: A simple Qt widget.
  .
  Further Information: qdialgps.garage.maemo.org
