=== debian/rules ===
--- 
+++ 
@@ -24,11 +24,12 @@
 	ls /usr/include/qobject.h || ln -s /usr/include/QtCore/qobject.h /usr/include/qobject.h || ls /usr/include/QtCore/qobject.h || true
 	ls /usr/include/QList || ln -s /usr/include/QtCore/QList /usr/include/QList || ls /usr/include/QtCore/QList || true
 	ls /usr/include/qlist.h || ln -s /usr/include/QtCore/qlist.h /usr/include/qlist.h || ls /usr/include/QtCore/qlist.h || true
-	g++ -c -pipe -O6 -Wall -W src/main.cpp -o src/main.o
+	ln -s /usr/include/glib-2.0/glib-object.h /usr/include/glib-object.h || true
+	g++ -c -pipe -O6 -Wall -W -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include src/main.cpp -o src/main.o
 	# g++ -c -pipe -O6 -Wall -W src/examplewidget.cpp -o src/examplewidget.o
 	moc src/examplewidget.h -o src/moc_examplewidget.cpp
-	g++ -c -pipe -O6 -Wall -W src/moc_examplewidget.cpp -o src/moc_examplewidget.o
-	g++ -Wl,-O6 -lQtCore -lQtGui -lQtDeclarative -lQtLocation -lQtBearer -lQtNetwork src/main.o src/moc_examplewidget.o -o qdialgps
+	g++ -c -pipe -O6 -Wall -W -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include src/moc_examplewidget.cpp -o src/moc_examplewidget.o
+	g++ -Wl,-O6 -lQtCore -lQtGui -lQtDeclarative -lQtLocation -lQtBearer -lQtNetwork -llocation src/main.o src/moc_examplewidget.o -o qtdiallocationgps
 	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1
 
 	touch $@
@@ -54,7 +55,7 @@
 	# dh_testroot
 	# dh_clean -k
 	dh_installdirs
-	mv qdialgps $(CURDIR)/debian/$(APPNAME)/opt/usr/bin/$(APPNAME)
+	mv qtdiallocationgps $(CURDIR)/debian/$(APPNAME)/opt/usr/bin/$(APPNAME)
 
 # Build architecture-independent files here.
 binary-indep: build install
