## qdialgps 0.0.3

=== debian/changelog ===
qdialgps (0.0.3) unstable; urgency=low

  * Initial release; without qmake; remaking; based on liblocation0, Qt Mobility location, QML; requests GPS by itself, shows distance and direction to a goal point, and GPS coordinates and altitude of the goal point

 -- Unknown <unknown@mail.org>  Mon, 16 Aug 2010 15:33:24 +0930
