=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: qdialgps
 Architecture: any
 Depends: libqt4-core (>= 4.5.2), libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-gui (>= 4.5.2), libstdc++6 (>= 4.2.1), libqtm-location, liblocation0
-Description: A simple Qt widget.
+Description: A simple Qt geolocation widget.
  .
  Further Information: qdialgps.garage.maemo.org
 XSBC-Bugtracker: mailto:unknown@mail.org
