=== debian/rules ===
--- 
+++ 
@@ -25,11 +25,13 @@
 	ls /usr/include/QList || ln -s /usr/include/QtCore/QList /usr/include/QList || ls /usr/include/QtCore/QList || true
 	ls /usr/include/qlist.h || ln -s /usr/include/QtCore/qlist.h /usr/include/qlist.h || ls /usr/include/QtCore/qlist.h || true
 	ln -s /usr/include/glib-2.0/glib-object.h /usr/include/glib-object.h || true
-	g++ -c -pipe -O6 -Wall -W -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include src/main.cpp -o src/main.o
+	moc src/main.cpp -o src/moc_main.cpp
+	g++ -c -pipe -O6 -Wall -W -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include src/main.cpp -IQtCore -o src/main.o
+	g++ -c -pipe -O6 -Wall -W -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include src/moc_main.cpp -IQtCore -o src/moc_main.o
 	# g++ -c -pipe -O6 -Wall -W src/examplewidget.cpp -o src/examplewidget.o
 	moc src/examplewidget.h -o src/moc_examplewidget.cpp
 	g++ -c -pipe -O6 -Wall -W -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include src/moc_examplewidget.cpp -o src/moc_examplewidget.o
-	g++ -Wl,-O6 -lQtCore -lQtGui -lQtDeclarative -lQtLocation -lQtBearer -lQtNetwork -llocation src/main.o src/moc_examplewidget.o -o qtdiallocationgps
+	g++ -Wl,-O6 -lQtCore -lQtGui -lQtDeclarative -lQtLocation -lQtBearer -lQtNetwork -llocation src/moc_main.o src/main.o src/moc_examplewidget.o -o qtdiallocationgps
 	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1
 
 	touch $@
@@ -42,6 +44,8 @@
 	# Add here commands to clean up after the build process.
 	rm -rf builddir
 	rm src/main.o || exit 0
+	rm src/moc_main.cpp || exit 0
+	rm src/moc_main.o || exit 0
 	rm src/moc_examplewidget.o || exit 0
 	rm src/moc_examplewidget.cpp || exit 0
 	rm debian/qdialgps.substvars || exit 0
